# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

parameters = '/S /acceptlicense /server="http://glpi/glpi/plugins/fusioninventory/" /execmode=service /no-ssl-check /runnow'

key='FusionInventory-Agent'

def install():

    print('installing Fusion inventory agent')
    versionpaquet = control['version'].split('-',1)[0]
    install_exe_if_needed("fusioninventory-agent_windows-x86_%s.exe" % versionpaquet,parameters,key=key,min_version=versionpaquet)



def update_package():
    url = 'https://github.com/fusioninventory/fusioninventory-agent/releases'
    htmlsource = wgets(url).splitlines()
    for line in htmlsource :
        if 'fusioninventory-agent_windows-x86' in line :
            if not '-portable' in line:
                url86 = line.split('"')[1]
                version = url86[url86.find('x86_') + 4 : url86.find('.exe')]
                filenamex86 = "fusioninventory-agent_windows-x86_%s.exe" % version
                break

    print('Latest version : ' + version)

    for fileexe in glob.glob('fusioninventory-agent_windows-x86*.exe'):
        if fileexe != filenamex86 :
            print('Delete ' + fileexe)
            remove_file(fileexe)

    if not isfile(filenamex86):
        print('Download ' + url86)
        wget(url86,filenamex86)


    control.version = version + '-0'
    control.save_control_to_wapt(os.getcwd())


